package com.flossom.common.core.domain.req;

import com.flossom.common.core.annotation.Excel;

import java.util.Date;

public class WxInstrumentSerialExportVm {

    @Excel(name = "序号")
    private Long id;

    /** 仪器名称 */
    @Excel(name = "仪器名称")
    private String instrumentName;

    /** 来源 */
    @Excel(name = "来源")
    private String source;

    /** 序列号 */
    @Excel(name = "序列号")
    private String serial;

    /** 序列号有效状态，1有效，0无效 */
    @Excel(name = "有效状态")
    private String validStatus;

    /** 创建时间 */
    @Excel(name = "操作时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getInstrumentName() {
        return instrumentName;
    }

    public void setInstrumentName(String instrumentName) {
        this.instrumentName = instrumentName;
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getValidStatus() {
        return validStatus;
    }

    public void setValidStatus(String validStatus) {
        this.validStatus = validStatus;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
}
